-- Setup Tables
if cc==nil then cc={} end
cc.sandvich={}

-- Load & Prepare Ressources
cc.sandvich.gfx_wpn=loadgfx("weapons/sandvich.png")							-- Weapon Image
setmidhandle(cc.sandvich.gfx_wpn)
cc.sandvich.sfx_attack=loadsfx("heavy_omnom.ogg")								-- Attack Sound

--------------------------------------------------------------------------------
-- Weapon: Sandvich
--------------------------------------------------------------------------------

cc.sandvich.id=addweapon("cc.sandvich","Sandvich",cc.sandvich.gfx_wpn)				-- Add Weapon

function cc.sandvich.draw()
	if (weapon_shots==0) then
		setblend(blend_alpha)
		setalpha(1)
		setcolor(255,255,255)
		drawinhand(cc.sandvich.gfx_wpn,8,2,0.6)
	end												-- Draw
end

function cc.sandvich.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Heal
			playerheal(0,200)
			playerstate(0,state_poisoned,0)
			-- Effect
			playsound(cc.sandvich.sfx_attack)
			x=getplayerx(0)
			y=getplayery(0)+3
			particle(p_muzzle,x,y)
			particlesize(1,1)
			particlecolor(255,0,0)
			particlealpha(1.0)
			particlefadealpha(0.01)
			particle(p_muzzle,x,y)
			particlesize(1,2)
			particlecolor(255,0,0)
			particlealpha(1.0)
			particlefadealpha(0.02)
			particlerotation(0)
			for j=1,15,1 do
				particle(p_lightpuff,x-10.0+math.random()*20.0,y+math.random()*10.0)
				particlesize(3.0,3.0)
				particlecolor(255,0,0)
				particlespeed(0,math.random(2,15)*-0.1)
				particlefadealpha(0.01)
			end
			-- End Turn
			endturn()
		end
	end
end
